#
# spec file for package gjs (Version 0.6)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%if 0%{suse_version} > 1120
%define xulrunner_ver 192
%else
%if 0%{suse_version} > 1110
%define xulrunner_ver 191
%else
%define xulrunner_ver 190
%endif
%endif

Name:           gjs
Version:        0.6
Release:        1
License:        MIT License (or similar)
Summary:        JavaScript bindings based on gobject-introspection and Mozilla
Group:          Development/Libraries/GNOME
Source:         %{name}-%{version}.tar.bz2
BuildRequires:  cairo-devel
BuildRequires:  dbus-1-glib-devel
BuildRequires:  gcc-c++
BuildRequires:  gobject-introspection-devel
BuildRequires:  mozilla-xulrunner%{xulrunner_ver}-devel
BuildRequires:  python
BuildRequires:  readline-devel
Requires:       libgjs-0 = %{version}
Recommends:     gir-repository
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This module contains JavaScript bindings based on gobject-introspection and the
Mozilla SpiderMonkey JavaScript engine.

%package -n libgjs-0
License:        MIT License (or similar)
Summary:        JavaScript bindings based on gobject-introspection and Mozilla
Group:          Development/Libraries/GNOME

%description -n libgjs-0
This module contains JavaScript bindings based on gobject-introspection and the
Mozilla SpiderMonkey JavaScript engine.

%package -n libgjs-devel
License:        MIT License (or similar)
Summary:        JavaScript bindings based on gobject-introspection and Mozilla
Group:          Development/Libraries/GNOME
Requires:       dbus-1-devel
Requires:       gobject-introspection-devel
Requires:       libgjs-0 = %{version}
Requires:       mozilla-xulrunner%{xulrunner_ver}-devel
# Just a helper provides
Provides:       gjs-devel

%description -n libgjs-devel
This module contains JavaScript bindings based on gobject-introspection and the
Mozilla SpiderMonkey JavaScript engine.

%prep
%setup -q

%build
%configure \
	--disable-static
%__make %{?jobs:-j%jobs}

%install
%makeinstall
find %{buildroot} -type f -name "*.la" -delete -print

%clean
rm -rf %{buildroot}

%post -n libgjs-0 -p /sbin/ldconfig

%postun -n libgjs-0 -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_bindir}/*

%files -n libgjs-0
%defattr(-,root,root)
%doc COPYING NEWS README
%{_datadir}/gjs-1.0
%{_libdir}/*.so.*
%{_libdir}/gjs-1.0

%files -n libgjs-devel
%defattr(-,root,root)
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc

%changelog
